Destroy a cloud transcoding task
Updated
Destroys a Cloud Transcoding task.
https://api.sd-rtn.com/v1/projects/{appId}/rtsc/cloud-transcoder/tasks/{taskId}When you no longer need to use cloud transcoding, initiate a Delete request to destroy it.
Path Parameters
Query Parameters
The tokenName you obtained in the response body of the Acquire method. See Acquire a builder token.
Header Parameters
UUID (Universally Unique Identifier), used to identify this request.
If the request fails, print out the value in the log to troubleshoot the problem. If the response status code of the request is not 2XX, then the response header may not contain this field.
Response
-
If the returned status code is
200, the request was successful. The response body contains the result of the request. -
If the returned status code is not
200, the request failed.
Response Body
application/json
application/json
Response schema
200The request succeeded and returned task information.
A UUID used to identify the cloud transcoder for this request operation.
Unix timestamp (seconds) when the transcoding task was created.
The running status of the transcoding task:
"IDLE": Task not started."PREPARED": The task has received a start request."STARTING": The task is starting."CREATED": Task initialization completed."STARTED": The task has started."IN_PROGRESS": Task in progress."STOPPING": The task is stopping."STOPPED": The task has stopped."EXIT": The task exited normally."FAILURE_STOP": The task exited abnormally.
The sequence ID.
Same as the fields you set in the Create request body.
Unix timestamp (in seconds) when the service was created.
Reserved field.
Reserved field.
Should be "cloudTranscoderV2".
The running status of the transcoding service in the transcoding task:
"serviceIdle": The service has not started."serviceReady": The service is ready to start."serviceStarted": The service has started."serviceInProgress": The service is currently running."serviceCompleted": The service has stopped, and all tasks have been completed."servicePartialCompleted": The service has stopped, but the task was only partially completed."serviceValidationFailed": The service failed due to invalid parameters."serviceAbnormal": The service exited unexpectedly."serviceUnknown": The service status is unknown.
This field is meant for the Agora technical team to investigate any issues. You do not need to focus on it.
Response Headers
The unique request ID. If the request fails, use this value in the log to troubleshoot the problem.
200Request examples
curl --request delete \
--url 'https://api.sd-rtn.com/v1/projects/:appId/rtsc/cloud-transcoder/tasks/:taskId?builderToken=' \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: <string>'
Response example
{ "createTs": 1661324613, "eventHandlers": {}, "execution": { "workflows": {} }, "properties": {}, "sequenceId": "0", "services": { "cloudTranscoder": { "config": {}, "createTs": 1661324614, "details": {}, "message": "OnSlaveServiceStopped", "serviceType": "cloudTranscoderV2", "status": "serviceCompleted" } }, "status": "STOPPED", "taskId": "609f28f2644f1ae1ceb041b7047e3***", "variables": {}, "workflows": {}}